> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset a form

> Throw away the draft changes of a form and go back to the published version. A form that was never published and has no questions yet is returned unchanged.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/forms.yaml PATCH /forms/{form_id}/reset
openapi: 3.0.3
info:
  title: NeetoForm APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /forms/{form_id}/reset:
    patch:
      tags:
        - Forms
      summary: Reset a form
      description: >-
        Throw away the draft changes of a form and go back to the published
        version. A form that was never published and has no questions yet is
        returned unchanged.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/form_id_param'
      responses:
        '200':
          description: OK - Form reset successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/form_response'
              example:
                form:
                  id: 6f1c2a9e-3b6d-4d8e-9a51-2f0c7d4e8b10
                  title: Customer feedback
                  is_published: false
                  state: draft
                  created_at: '2026-10-28T09:12:44.512Z'
                  updated_at: '2026-10-28T09:12:44.512Z'
                  attempt_url: https://spinkart.neetoform.com/a1b2c3d4e5f6
                  submissions_count: 0
                  is_archived: false
                  is_disabled: false
                  is_suspended: false
                  created_by: Oliver Smith
        '404':
          description: Not Found - The form does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
              example:
                error: Form does not exist.
        '422':
          description: Unprocessable Entity - The draft could not be reset
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
              example:
                error: Validation failed
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    form_id_param:
      in: path
      name: form_id
      description: >-
        Unique ID of the form. Refer to [Getting the Form
        ID](/api/getting-form-id) for detailed instructions.
      required: true
      schema:
        type: string
  schemas:
    form_response:
      type: object
      properties:
        form:
          $ref: '#/components/schemas/form'
    error_response:
      type: object
      properties:
        error:
          type: string
    form:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        is_published:
          type: boolean
        state:
          type: string
        created_at:
          $ref: '#/components/schemas/date_time_field'
        updated_at:
          $ref: '#/components/schemas/date_time_field'
        submissions_count:
          type: integer
        attempt_url:
          type: string
        is_archived:
          type: boolean
        is_disabled:
          type: boolean
        is_suspended:
          type: boolean
        created_by:
          type: string
    date_time_field:
      type: string
      format: date-time

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.